/*
 * menu.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef MANUAL_MENU_H_
#define MANUAL_MENU_H_

#include <vdr/osdbase.h>
#include "xmlfile.h"

class cManualMenu : public cOsdMenu
{
private:
  char *xpath;
  cManualFileInfo *fi;
  void SetMenu(void);
public:
  cManualMenu(cManualFileInfo *Fi, const char *Xpath);
  ~cManualMenu();
  void SetXpath(const char *Xpath);
  virtual eOSState ProcessKey(eKeys Key);
};

class cManualText : public cOsdMenu
{
private:
  char *xpath;
  cManualFileInfo *fi;
  char *text;
  void SetText(void);
public:
  cManualText(cManualFileInfo *Fi, const char *Xpath);
  ~cManualText();
  void SetXpath(const char *Xpath);
  void Display(void);
  virtual eOSState ProcessKey(eKeys Key);
};

cOsdMenu *SetManualOsd(cManualFileInfo *Fi, const char *XPath);

#endif